summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2009-03-29 15:12:03 +0000
committerUlrich Müller <ulm@gentoo.org>2009-03-29 15:12:03 +0000
commit6ba0d81e47d9d38b88dfaa02de447e97abf78ca0 (patch)
treea585cf44a72bdd6acaac159b3224e84e5f92d2a5 /app-emacs
parentMoved to Portage tree. (diff)
downloademacs-6ba0d81e47d9d38b88dfaa02de447e97abf78ca0.tar.gz
emacs-6ba0d81e47d9d38b88dfaa02de447e97abf78ca0.tar.bz2
emacs-6ba0d81e47d9d38b88dfaa02de447e97abf78ca0.zip
Version bump.
svn path=/emacs-overlay/; revision=1360
Diffstat (limited to 'app-emacs')
-rw-r--r--app-emacs/company-mode/ChangeLog5
-rw-r--r--app-emacs/company-mode/Manifest4
-rw-r--r--app-emacs/company-mode/company-mode-0.2.ebuild37
3 files changed, 45 insertions, 1 deletions
diff --git a/app-emacs/company-mode/ChangeLog b/app-emacs/company-mode/ChangeLog
index 7b7a49a..0f0accc 100644
--- a/app-emacs/company-mode/ChangeLog
+++ b/app-emacs/company-mode/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*company-mode-0.2 (29 Mar 2009)
+
+ 29 Mar 2009; Ulrich Mueller <ulm@gentoo.org> +company-mode-0.2.ebuild:
+ Version bump.
+
*company-mode-0.1 (20 Mar 2009)
20 Mar 2009; Ulrich Mueller <ulm@gentoo.org>
diff --git a/app-emacs/company-mode/Manifest b/app-emacs/company-mode/Manifest
index a7daff3..e719723 100644
--- a/app-emacs/company-mode/Manifest
+++ b/app-emacs/company-mode/Manifest
@@ -1,5 +1,7 @@
AUX 50company-mode-gentoo.el 79 RMD160 ccb20f0d54ed7cfbe9f26b2819fcb3419b8e13ba SHA1 56354ef1d7f03d4eeb59f11e5455ccf15af2b1df SHA256 9e50754cd23e5babffb29c4c93b4df8c34680fb714f6fc36a73d5c739cc4c3b0
DIST company-0.1.tar.bz2 15740 RMD160 fe1a7f3742b45bcba630f8a4c0f95ebfd9140f30 SHA1 e47acc39c70d93b9c3dfc92f2c7988d3d67665d6 SHA256 e93dc80b7c7ba0fc9d4ecd1bf1ffafcfa3f744be0f7411fb60d85d15f6848ea5
+DIST company-0.2.tar.bz2 17612 RMD160 d6eafa774b4fef1559d13f58d73674950e109e6c SHA1 c1c923bf7caa9790a0995f1cdf2f90b24fc2eee3 SHA256 b3fc08c6fef4867b8ae25a3779b969d25488ea85e33d7576c4a4ef775dabd335
EBUILD company-mode-0.1.ebuild 881 RMD160 e5a2c3f5cc5f87cc699b72e2fe6d2169ecd6ef21 SHA1 7bd89341014c5f2a42823e1ca5980ab9f01ec655 SHA256 77e065fc93c34ed7d93f9aa4c8da89f08acaf2c43c37d0585b5c11f6602ebef9
-MISC ChangeLog 778 RMD160 d3f061fd1d17fc9997f5c53aa621cc5c38952b3a SHA1 140fb514257d0d3a2225d82b8c52d02c856ef32a SHA256 28515abac768d567d7f3858afd2442b22c3f43d55dc923c5630651e0c544306b
+EBUILD company-mode-0.2.ebuild 881 RMD160 e5a2c3f5cc5f87cc699b72e2fe6d2169ecd6ef21 SHA1 7bd89341014c5f2a42823e1ca5980ab9f01ec655 SHA256 77e065fc93c34ed7d93f9aa4c8da89f08acaf2c43c37d0585b5c11f6602ebef9
+MISC ChangeLog 901 RMD160 3a5e8b7c48bd3a8f97fe57f85b5683f392826366 SHA1 7c0798a4501e6567e5cffad1065b5c9d603e4e3d SHA256 ecfd728a65f115363d691fa0d8cac7a93db7c1edaf15c56830d07e8a3d8c930d
MISC metadata.xml 343 RMD160 490dc875d97e78b6782e3d9c934997121483f35c SHA1 f29e4f2576d1d05b18037b9cdc411d8c9eed0bc9 SHA256 2c5bb4501ea2d51b56c555bfacae294fbe1c91fabab44de93f0daf3d9b8ef1f7
diff --git a/app-emacs/company-mode/company-mode-0.2.ebuild b/app-emacs/company-mode/company-mode-0.2.ebuild
new file mode 100644
index 0000000..3294d68
--- /dev/null
+++ b/app-emacs/company-mode/company-mode-0.2.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=2
+NEED_EMACS=22
+
+inherit elisp
+
+DESCRIPTION="In-buffer completion front-end"
+HOMEPAGE="http://nschum.de/src/emacs/company-mode/"
+SRC_URI="http://nschum.de/src/emacs/${PN}/company-${PV}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="oddmuse semantic"
+
+DEPEND="oddmuse? ( app-emacs/oddmuse )
+ semantic? ( app-emacs/cedet )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+ # Disable backends that require extra dependencies, unless they are
+ # selected by the respective USE flag
+ local backend
+ for backend in oddmuse semantic; do
+ if ! use ${backend}; then
+ einfo "Disabling ${backend} backend"
+ rm company-${backend}.el || die
+ sed -i -e "s/company-${backend} *//" company.el || die
+ fi
+ done
+}